Recent

Author Topic: Lazarus refusing to compile, throws up same error message again and again  (Read 398 times)

AMJF

  • New Member
  • *
  • Posts: 14
I have been using FPC and Lazarus IDE for a long while now, but in the last few days, when I reinstalled them, the following error message always comes up when I try to compile and I cannot go any further.

FPC is version 3.2.0, and
Lazarus IDE is v2.0.12.

I assume the cause of the conflict is leftover files from when I last used these apps months ago, but I have no idea how to completely remove the old files.

What is wrong here? Please help.

Bart

  • Hero Member
  • *****
  • Posts: 4282
    • Bart en Mariska's Webstek
What you can try.
cd into the root folder of Lazarus.
do
Code: [Select]
make distclean
make bigide

Bart

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 7153
  • Debugger - SynEdit - and more
    • wiki
Try menu: Tools > Configure Build Lazarus
check the "clean all"
and then build.

If that passes, your project will likely be ok too.


AMJF

  • New Member
  • *
  • Posts: 14
Bart's answer did the trick! Thanks!

 

TinyPortal © 2005-2018